Extended Fields - Bug #2261

issues PDF view and descriptions
04 Nov 2013 08:18 - Agusti Rivero

Status: Incomplete Start date: 04 Nov 2013
Priority: Normal Due date:

Assignee: Andriy Lesyuk % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 0.2.4

Redmine version: 233 External issue:

Description

If you try to download a PDF view of issues and have also selecte to show description, an Internal server error occurs.

This doesn’t happen if extended_fields plugin is not installed.

Related issues:

Related to Extended Fields - Bug #2359: Extended fields plugin breaks PDF export
Related to Extended Fields - Bug #2318: Issues as pdf

Related to Extended Fields - Bug #2098: Failure in XLS Export (undefined meth...
Related to Extended Fields - Bug #1936: Undefined method “find_custom_field_t...
Related to Extended Fields - Bug #1934: Export to csv fails, NoMethodError (u...

In Progress
In Progress
In Progress
Closed
Closed

29 Jan 2015
25 Jun 2014
07 Sep 2012
06 Jan 2012
06 Jan 2012

01 Feb 2012

History

#1 - 03 Dec 2013 20:25 - rere rere
Hello,

| have the same issue. (redmine 2.3.2)

Thx

#2 - 24 Feb 2014 13:16 - Narayan Balakrishnan

Same issue here. Is there a fix for this?

#3 - 13 Apr 2014 17:23 - Andriy Lesyuk
- Status changed from New to Open

- Target version set to 0.2.3

#4 - 02 May 2014 11:18 - Andriy Lesyuk
- Status changed from Open to Incomplete
- Assignee set to Andriy Lesyuk

- Target version deleted (0.2.3)

| was able to reproduce the issue - in my case it was #12189. Please check!

Check also your production.log and paste the corresponding error here.

Thus, for me it was:

Errno::EACCES (Permission denied - /var/cache/redmine/default/pdf):

lib/redmine/export/pdf.rb:42:in “initialize'
lib/redmine/export/pdf.rb:529:in “new'
http://www.redmine.org/issues/12189

lib/redmine/export/pdf.rb:529:in " issue_to_pdf"
app/controllers/issues_controller.rb:129:in “block (2 levels) in show'
app/controllers/issues_controller.rb:121:in "~ show

Fixed by changing permissions for /var/cache/redmine/default...

#5 - 02 May 2014 11:33 - Agusti Rivero

This is my error log:

Started GET "/redmine/issues.pdf?c%$5B%5D=project&c%5B%5D=status&c%5B%5D=subject&c%5B%5D=author&c%$5B%5D=assigne
d_to&c%5B%5D=priority&c%$5B%5D=updated_on&c%$5B%5D=cf_15&c%5B%5D=relations&c%$5B%5D=description&f%5B%5D=status_id
&f%5B%5D=assigned_to_id&f%$5B%5D=&group_by=&op%$5Bassigned_to_id%5D=%3D&op%5Bstatus_id%5D=0&set_filter=1&utf8=%E
2%9C%93&v%5Bassigned_to_id%5D%5B%5D=me" for 10.32.1.212 at 2014-05-02 13:32:07 +0200

Processing by IssuesController#index as PDF

Parameters: {"c"=>["project", "status", "subject", "author", "assigned_to", "priority", "updated_on", "cf_15
", "relations", "description"], "f"=>["status_id", "assigned_to_id", ""1, "group_by"=>"", "op"=>{"assigned_to_
id"=>"=", "status_id"=>"o"}, "set_filter"=>"1", "utf8"=>"I", "v"=>{"assigned_to_id"=>["me"]}}

Current user: agusti.rivero (id=3)
Completed 500 Internal Server Error in 149ms

*NoMethodError (undefined method “<' for nil:NilClass) *:
lib/redmine/export/pdf.rb:305:in "block (2 levels) in calc_col_width'
lib/redmine/export/pdf.rb:303:in “each'
lib/redmine/export/pdf.rb:303:1in “each_with_index'
lib/redmine/export/pdf.rb:303:in “block in calc_col_width'
app/helpers/issues_helper.rb:29:in “block in issue_list'
app/helpers/issues_helper.rb:25:in “each'
app/helpers/issues_helper.rb:25:in "issue_list'
lib/redmine/export/pdf.rb:300:in “calc_col_width'
lib/redmine/export/pdf.rb:428:in "issues_to_pdf'
app/controllers/issues_controller.rb:89:in “block (2 levels) in index'
app/controllers/issues_controller.rb:82:in " index'

#6 - 02 May 2014 14:05 - Andriy Lesyuk
- Status changed from Incomplete to Open

- Target version set to 0.2.3
Aqusti Rivero, thank you!

#7 - 02 May 2014 22:11 - Andriy Lesyuk

Hm... Still not clear, what is the reason.
Aqusti, could you please try commenting the following line in init.rb:

IssuesController.send(:include, ExtendedIssuesControllerPatch)

#8 - 05 May 2014 08:00 - Agusti Rivero

This way it works!

Is it safe to leave it commented?

#9 - 11 May 2014 18:08 - Andriy Lesyuk
Agusti Rivero wrote:

Is it safe to leave it commented?

Yes, itis.

#10 - 11 May 2014 19:01 - Andriy Lesyuk

- Status changed from Open to Incomplete

To be honest | can’'t understand, what is causing the issue... You can still help with:

e Telling what is cf_15 (the custom field with ID 15) —i.e., what type etc.
¢ Trying to remove the cf_15 custom field from the list and exporting it into PDF.

¢ Playing with list columns and other settings to see, what exactly is causing the issue.

Otherwise, | would need some one else, who gets the same issue, to help with figuring out these details...

#11 - 11 May 2014 19:05 - Andriy Lesyuk
- Target version deleted (0.2.3)

#12 - 02 Jul 2014 07:43 - Marc M

You can close #2318, it is the same issue opened by me.
http://projects.andriylesyuk.com/users/1041
http://projects.andriylesyuk.com/users/1041
http://projects.andriylesyuk.com/users/1041
http://projects.andriylesyuk.com/issues/2318

Redmine 2.5.1.stable.13182
Extended fields 0.2.3
Log:

Started GET "/issues/2012.pdf" for xxX.xXxX.xXxX.xxx at 2014-06-25 14:43:36 +0200
Processing by IssuesController#show as PDF
Parameters: {"id"=>"2012"}

Current user: xx (id=3)

Completed 500 Internal Server Error in 140.6ms

‘find_custom_field_template' for #<IssuesController

NoMethodError (undefined method
lib/redmine/export/pdf.rb:576:in “block in issue_to_pdf'
lib/redmine/export/pdf.rb:575:in “each'
lib/redmine/export/pdf.rb:575:in "each_with_index'
lib/redmine/export/pdf.rb:575:in "issue_to_pdf'

app/controllers/issues_controller.rb:133:in “block (2 levels) in show'

app/controllers/issues_controller.rb:125:in "~ show'

#13 - 15 Dec 2014 07:55 - Andriy Lesyuk

- Target version set to 0.2.4

#14 - 03 Oct 2016 10:19 - Andriy Lesyuk
- Duplicated by deleted (Bug #2318: Issues as pdf)

#15 - 03 Oct 2016 10:20 - Andriy Lesyuk

- Related to Bug #2359: Extended fields plugin breaks PDF export added

#16 - 03 Oct 2016 10:20 - Andriy Lesyuk
- Related to Bug #2318: Issues as pdf added

#17 - 03 Oct 2016 10:21 - Andriy Lesyuk

:0x007£c27¢cc2c978>) :

- Related to Bug #2098: Failure in XLS Export (undefined method “find_custom_field_template' for #<XlIsExportController) added

#18 - 03 Oct 2016 10:23 - Andriy Lesyuk

- Related to Bug #1936: Undefined method ‘find_custom_field_template' added

#19 - 03 Oct 2016 10:24 - Andriy Lesyuk

- Related to Bug #1934: Export to csv fails, NoMethodError (undefined method “find_custom_field_template' added
#20 - 03 Oct 2016 17:04 - Andriy Lesyuk

This issue can get resolved after r124. Please check.
http://projects.andriylesyuk.com/projects/extended-fields/repository/revisions/124
http://www.tcpdf.org

